Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Interface EJBTimerService

All Known Subinterfaces:
  EJBTimerServiceImplMBean

All Known Implementing Classes:
  EJBTimerServiceImpl, EJBTimerServiceLocator.MBeanDelegate

public interface EJBTimerService

A service that implements this interface provides an Tx aware EJBTimerService.

Since:
  07-Apr-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME` default object name

Method Summary
`javax.ejb.TimerService` | `createTimerService(javax.management.ObjectName containerId, Object pKey, Container container)` Create a TimerService for a given TimedObjectId that lives in a JBoss Container.
`javax.ejb.TimerService` | `createTimerService(javax.management.ObjectName containerId, Object pKey, TimedObjectInvoker invoker)` Create a TimerService for a given TimedObjectId that is invoked through the given invoker
`javax.ejb.TimerService` | `getTimerService(javax.management.ObjectName containerId, Object pKey)` Get the TimerService for a given TimedObjectId
`void` | `removeTimerService(javax.management.ObjectName containerId, Object pKey)` Remove the TimerService for a given TimedObjectId
`void` | `retryTimeout(javax.management.ObjectName containerId, Object pKey, javax.ejb.Timer timer)` Invokes the ejbTimeout method a given TimedObjectId

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

  default object name

Method Detail

### createTimerService

    public javax.ejb.TimerService createTimerService(javax.management.ObjectName containerId,
                                                     Object pKey,
                                                     Container container)
                                              throws IllegalStateException

  Create a TimerService for a given TimedObjectId that lives in a JBoss Container. The TimedObjectInvoker is constructed from the invokerClassName.

  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `pKey` - The rimary key for an instance of a TimedObject, may be null
    `container` - The Container that is associated with the TimerService
  Returns:
    the TimerService
  Throws:
    `IllegalStateException`

### createTimerService

    public javax.ejb.TimerService createTimerService(javax.management.ObjectName containerId,
                                                     Object pKey,
                                                     TimedObjectInvoker invoker)
                                              throws IllegalStateException

  Create a TimerService for a given TimedObjectId that is invoked through the given invoker

  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `pKey` - The rimary key for an instance of a TimedObject, may be null
    `invoker` - The TimedObjectInvoker
  Returns:
    the TimerService
  Throws:
    `IllegalStateException`

### getTimerService

    public javax.ejb.TimerService getTimerService(javax.management.ObjectName containerId,
                                                  Object pKey)
                                           throws IllegalStateException

  Get the TimerService for a given TimedObjectId

  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `pKey` - The rimary key for an instance of a TimedObject, may be null
  Returns:
    The TimerService, or null if it does not exist
  Throws:
    `IllegalStateException`

### retryTimeout

    public void retryTimeout(javax.management.ObjectName containerId,
                             Object pKey,
                             javax.ejb.Timer timer)

  Invokes the ejbTimeout method a given TimedObjectId

  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `pKey` - The rimary key for an instance of a TimedObject, may be null
    `timer` - the Timer that is passed to ejbTimeout

### removeTimerService

    public void removeTimerService(javax.management.ObjectName containerId,
                                   Object pKey)
                            throws IllegalStateException

  Remove the TimerService for a given TimedObjectId

  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `pKey` - The rimary key for an instance of a TimedObject, may be null
  Throws:
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.